<form method="POST" name="contact-form">
	
	<p>You can send me a message using this form.</p>
	
	<?php if ($this->hasErrors()) : ?>
		<div class="error">
			<p>The following errors occurred:</p>
			<ul>
				<?php $this->displayErrors("<li>","</li>"); ?>
			</ul>
		</div>
	<?php endif; ?>
	<?php if ($this->success()) : ?>
		<div class="success">
			<p><?php $this->getSuccess(); ?></p>
		</div>
	<?php endif; ?>
	
	<p class="required">Fields marked with an asterisk (*) are required.</p>
	
	<fieldset>
		<legend>Contact Me</legend>
		<p class="first">
			<label for="name">Your Name:<span>*</span></label>
			<span>
				<input type="text" name="name" id="name" value="<?php $this->value('name'); ?>" size="40" />
			</span>
		</p>
		<p>
			<label for="email">Your Email:<span>*</span></label>
			<span>
				<input type="text" name="email" id="email" value="<?php $this->value('email'); ?>" size="40" />
			</span>
		</p>
		<p>
			<label for="subject">Subject:<span>*</span></label>
			<span>
				<input type="text" name="subject" id="subject" value="<?php $this->value('subject'); ?>" size="40" />
			</span>
		</p>
		<p>
			<label for="content">Message:<span>*</span></label>
			<span>
				<textarea name="content" id="content" rows="4" cols="32"><?php $this->value('content'); ?></textarea>
			</span>
		</p>
	</fieldset>
		
	<fieldset class="captcha">
		<legend>Security Check</legend>
		
		<p class="first message">Please enter the code in the image into the text box.</p>
		
		<p>
			<label for="captcha"><?php $this->getCaptcha(); ?></label>
			<input type="text" name="captcha" size="10" />
		</p>
	</fieldset>
	
	<p>
		<input type="submit" name="submit" class="button" value="Send Message" />
		<?php $this->generateHash(); ?>
	</p>
	
</form>